version: '3.2'

services:
  app:
    build:
      context: .
      dockerfile: _docker/app/Dockerfile
    container_name: rate_app
    restart: always
    volumes:
      - ./:/var/www
      - storage_data:/var/www/storage
    depends_on:
      - db
  web:
    container_name: rate_nginx
    image: nginx:latest
    restart: always
    volumes:
      - ./:/var/www
      - storage_data:/var/www/storage
      - ./_docker/nginx/conf.d:/etc/nginx/conf.d
    ports:
      - "8005:80"
    depends_on:
      - app
  db:
    container_name: rate_db
    image: postgres:10
    restart: always
    volumes:
      - postgres_data:/var/lib/postgresql/data
    environment:
      POSTGRES_DATABASE: rate_app
      POSTGRES_USER: rate_app
      POSTGRES_PASSWORD: rate_app
  redis:
    image: redis

volumes:
  postgres_data:
  storage_data:
